# class queryTask | A task to implement running the query. More...
Full name | `toNoBlockQuery::queryTask`
Definition | `#include <tonoblockquery.h>`
Inherits | toTask [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- queryTask (toNoBlockQuery &parent)
- virtual void run (void)

## Detailed Description

A task to implement running the query.

queryTask (toNoBlockQuery &parent) | ### queryTask

void run (void) | ### run

[virtual]

Reimplemented from toTask.